View Issue Details

IDProjectCategoryView StatusLast Update
0002210Ham Radio DeluxeBugpublic2017-09-18 00:08
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformIntel i7-5960XOSWindows 10 Professional x64OS Version1703
Product Version6.4.0.777 
Target VersionFixed in Version6.4.0.787 
Summary0002210: poor layout in "Global Settings" page for Auto-Update
Description
The "Global Settings" dialog has a page for the auto update of countries and unique calls data. This page has many clipped controls. Further, it doesn't honor the user's locale settings.


Steps To Reproduce
1) Fire up rig control
2) Use the "HRD Global Settings" command ion the "Tools" menu
3) In the resulting "Global Settings" dialog, select tyhe "Auto-Update" icon from the list at the left.
BUG#1) the resulting window clips the "Countries" and "Unique calls" dates in both the current settings adn the "check for updates" settings.

BUG#2) The dates shown are Windows default (for me, "3/31/2017 8:44:00 PM") rather than my preferred locale setting ("2017-03-31 20:44:00")

TagsNo tags attached.
ModuleAll
Sub-ModuleAppearance/UI
TestingNot Started

Relationships

Activities

K7ZCZ

2017-08-16 11:27

viewer  

clipped2.png (21,368 bytes)
clipped2.png (21,368 bytes)

K7ZCZ

2017-08-22 00:43

viewer   ~0004068

fixed with this changeset:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/3791

g3ucq

2017-09-12 03:17

viewer   ~0004169

Fixed

WA9PIE

2017-09-18 00:08

administrator   ~0004213

Closed as part of the 6.4.0.787 release.

Issue History

Date Modified Username Field Change
2017-08-16 11:27 K7ZCZ New Issue
2017-08-16 11:27 K7ZCZ File Added: clipped2.png
2017-08-22 00:42 K7ZCZ Assigned To => K7ZCZ
2017-08-22 00:42 K7ZCZ Status new => assigned
2017-08-22 00:43 K7ZCZ Status assigned => resolved
2017-08-22 00:43 K7ZCZ Resolution open => fixed
2017-08-22 00:43 K7ZCZ Testing Not Started => Not Started
2017-08-22 00:43 K7ZCZ Note Added: 0004068
2017-09-01 16:41 K7ZCZ Fixed in Version => 6.4.0.782
2017-09-07 18:18 K7ZCZ Fixed in Version 6.4.0.782 => 6.4.0.784
2017-09-11 21:32 K7ZCZ Fixed in Version 6.4.0.784 => 6.4.0.785
2017-09-12 03:17 g3ucq Note Added: 0004169
2017-09-14 19:23 K7ZCZ Fixed in Version 6.4.0.785 => 6.4.0.787
2017-09-18 00:06 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-09-18 00:08 WA9PIE Note Added: 0004213
2017-09-18 00:08 WA9PIE Status resolved => closed